# Danh mục nội bộ

* /api/product/internalcategory: Tính năng này được sử dụng để lấy toàn bộ danh mục nội bộ trên Nhanh.vn.
* Danh mục nội bộ thường rất ít khi bị thay đổi, bạn có thể lấy dữ liệu và cache khoảng 24h (và có chức năng để user có thể xóa cache, để lấy dữ liệu mới nhất khi cần) giúp giảm tải việc gọi API.

## Request

* Xem các [common request params](/v2/readme.md#request-params)
* Fixed **dataString** = "internalcategory"

## Response

* JSON decode the response to get the structure:

| Key      | Type  | Description                                    |
| -------- | ----- | ---------------------------------------------- |
| code     | int   | 1 = success or 0 = failed                      |
| messages | array | is an array of error messages if code = 0      |
| data     | array | is an array of internal category (multi-level) |

Mảng đệ quy toàn bộ danh mục nội bộ của doanh nghiệp

```javascript
data = [
    // internal category 1
    [
        "id" => int, // ID danh mục nội bộ
        "parentId" => int, // ID danh mục nội bộ cha
        "name" => string, // Tên danh mục nội bộ
        "code" => string, // Mã danh mục nội bộ
        "childs" => [ // array mảng các danh mục nội bộ con
            [
                "id" => int, // ID danh mục nội bộ con
                "parentId" => int, // ID danh mục nội bộ cha
                "name" => string, // Tên danh mục nội bộ con
                "code" => string, // Mã danh mục nội bộ
                "childs" => [

                ]
            ],
            ...
        ]
    ],
    // internal category 2
    // ...
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.nhanh.vn/v2/product/internalcategory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
